org.eclipse.jetty.jndi

## Class NameEnumeration

- java.lang.Object
- - org.eclipse.jetty.jndi.NameEnumeration

All Implemented Interfaces:
  Enumeration<NameClassPair>, NamingEnumeration<NameClassPair>

    public class NameEnumeration
    extends Object
    implements NamingEnumeration<NameClassPair>

NameEnumeration

Implementation of NamingEnumeration interface.

#### Notes

Used for returning results of Context.list();

#### Usage

### Constructor Summary

Constructors
Constructor and Description
`NameEnumeration(Iterator<Binding> e)`

### Method Summary

Methods
`void` `close()`
`boolean` `hasMore()`
`boolean` `hasMoreElements()`
`NameClassPair` `next()`
`NameClassPair` `nextElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameEnumeration

    public NameEnumeration(Iterator<Binding> e)

### Method Detail

#### close

    public void close()
               throws NamingException

Specified by:
  `close` in interface `NamingEnumeration<NameClassPair>`
Throws:
  `NamingException`

#### hasMore

    public boolean hasMore()
                    throws NamingException

Specified by:
  `hasMore` in interface `NamingEnumeration<NameClassPair>`
Throws:
  `NamingException`

#### next

    public NameClassPair next()
                       throws NamingException

Specified by:
  `next` in interface `NamingEnumeration<NameClassPair>`
Throws:
  `NamingException`

#### hasMoreElements

    public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration<NameClassPair>`

#### nextElement

    public NameClassPair nextElement()

Specified by:
  `nextElement` in interface `Enumeration<NameClassPair>`